<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>批概阶段管理</title>
	<meta name="decorator" content="ani"/>
	<%@ include file="/webpage/include/bootstraptable.jsp" %>
	<style type="text/css">
		/* 下边两行是去掉input 输入框右边的上下箭头按钮*/
		.deal::-webkit-inner-spin-button {
			-webkit-appearance: none !important;
		}
		.deal::-webkit-outer-spin-button {
			-webkit-appearance: none !important;
		}
		input[type="number"]{
			-moz-appearance:textfield;
		}
	</style>
	<script type="text/javascript">

		$(document).ready(function() {
	        $('#initialDesignDate').datetimepicker({
				 format: "YYYY-MM-DD"
		    });
		});

		function save() {
            var isValidate = jp.validateForm('#inputForm');//校验表单
            if(!isValidate){
                return false;
			}else{
                jp.loading();
                jp.post("${ctx}/filing/reviewStage/save",$('#inputForm').serialize(),function(data){
                    if(data.success){
                        jp.getParent().refresh();
                        var dialogIndex = parent.layer.getFrameIndex(window.name); // 获取窗口索引
                        parent.layer.close(dialogIndex);
                        jp.success(data.msg)

                    }else{
                        jp.error(data.msg);
                    }
                })
			}

        }
		function noFue(val){
			document.getElementById('batchOverview').value = val >= 0 ? val : 0;
		}

		function noFue2(val){
			document.getElementById('batchStatistics').value = val >= 0 ? val : 0;
		}

		function noFue3(val){
			document.getElementById('estimateCode').value = val >= 0 ? val : 0;
		}

		function noFue4(val){
			document.getElementById('designCost').value = val >= 0 ? val : 0;
		}

		function noFue5(val){
			document.getElementById('supervisionFeeCode').value = val >= 0 ? val : 0;
		}

		function noFue6(val){
			document.getElementById('managementFeeCode').value = val >= 0 ? val : 0;
		}

		function noFue7(val){
			document.getElementById('dataCode').value = val >= 0 ? val : 0;
		}


	</script>
</head>
<body class="bg-white">
		<form:form id="inputForm" modelAttribute="reviewStage" action="${ctx}/filing/reviewStage/save" method="post" class="form-horizontal">
		<form:hidden path="id"/>
		<table class="table table-bordered">
		   <tbody>
				<tr>
					<td class="width-15 active"><label class="pull-right">项目编码：</label></td>
					<td class="width-35">
						<form:input path="projectCode" readonly="true" htmlEscape="false"  class="form-control"/>
					</td>
					<td class="width-15 active"><label class="pull-right">单体编码：</label></td>
					<td class="width-35">
						<form:input path="monomerCode" readonly="true" htmlEscape="false"  class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">项目名称：</label></td>
					<td class="width-35">
						<form:input path="entryName" readonly="true" htmlEscape="false" class="form-control"/>
					</td>
					<td class="width-15 active"><label class="pull-right">批概动态：</label></td>
					<td class="width-35">
						<form:input type="number" onblur="noFue(this.value)" path="batchOverview" htmlEscape="false" rows="4" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">批概静态：</label></td>
					<td class="width-35">
						<form:input type="number" onblur="noFue2(this.value)" path="batchStatistics" htmlEscape="false" rows="4" class="form-control"/>
					</td>
					</td>
					<td class="width-15 active"><label class="pull-right">批概场地清理费/相应的WBS编码：</label></td>
					<td class="width-35">
						<form:input type="number" onblur="noFue3(this.value)" path="estimateCode" htmlEscape="false" rows="4" class="form-control"/>
					</td>
					</td>
		  		</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">设计费批概相应的/相应的WBS编码WBS编码：</label></td>
					<td class="width-35">
						<form:input type="number" onblur="noFue4(this.value)" path="designCost" htmlEscape="false" rows="4" class="form-control"/>
					</td>
					</td>
					<td class="width-15 active"><label class="pull-right">监理费批概/相应的WBS编码：</label></td>
					<td class="width-35">
						<form:input type="number" onblur="noFue5(this.value)" path="supervisionFeeCode" htmlEscape="false" rows="4" class="form-control"/>
					</td>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">批概法人管理费/相应的WBS编码：</label></td>
					<td class="width-35">
						<form:input type="number" onblur="noFue6(this.value)" path="managementFeeCode" htmlEscape="false" rows="4" class="form-control"/>
					</td>
					</td>
					<td class="width-15 active"><label class="pull-right">其他概算中需要的数据/相应的WBS编码：</label></td>
					<td class="width-35">
						<form:input type="number" onblur="noFue7(this.value)" path="dataCode" htmlEscape="false" rows="4" class="form-control"/>
					</td>
					</td>
				</tr>
		 	</tbody>
		</table>
		</div>
		</form:form>
</body>
</html>